List groupSettingTemplates

命名空间:microsoft.graph

组设置模板表示一组模板,可以在租户中创建和使用组设置。 此操作检索可用 groupSettingTemplates 对象的列表。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) Directory.Read.All、Directory.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 Directory.Read.All、Directory.ReadWrite.All

HTTP 请求

GET /groupSettingTemplates

可选的查询参数

此方法支持 $select OData 查询参数 ,以帮助自定义响应。

注意: 不支持 $filter。

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在响应正文中返回 200 OK 响应代码和 groupSettingTemplate 对象集合。

示例

请求
GET https://graph.microsoft.com/v1.0/groupSettingTemplates
响应

注意:为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-type: application/json

{
  "@odata.context": "https://graph.microsoft.com/v1.0/$metadata#groupSettingTemplates",
  "value": [
    {
      "id": "08d542b9-071f-4e16-94b0-74abb372e3d9",
      "deletedDateTime": null,
      "displayName": "Group.Unified.Guest",
      "description": "Settings for a specific Unified Group",
      "values": [
        {
          "name": "AllowToAddGuests",
          "type": "System.Boolean",
          "defaultValue": "true",
          "description": "Flag indicating if guests are allowed in a specific Unified Group."
        }
      ]
    },
    {
      "id": "80661d51-be2f-4d46-9713-98a2fcaec5bc",
      "deletedDateTime": null,
      "displayName": "Prohibited Names Settings",
      "description": "Setting templates define the different settings that can be used for the associated ObjectSettings. This template defines settings that can be used for managing tenant-wide prohibited names settings.",
      "values": [
        {
          "name": "CustomBlockedSubStringsList",
          "type": "System.String",
          "defaultValue": "",
          "description": "A comma delimited list of substring reserved words to block for application display names."
        },
        {
          "name": "CustomBlockedWholeWordsList",
          "type": "System.String",
          "defaultValue": "",
          "description": "A comma delimited list of reserved words to block for application display names."
        }
      ]
    }
  ]
}